import { GraphQLClient } from "graphql-request";

export function getGraphQLClient() {
    try {
        const token = process.env.DUTCHIE_PLUS_API_TOKEN_1;
        const endpoint = process.env.DUTCHIE_PLUS_API_URL;
        const graphQLClient = new GraphQLClient(endpoint, {
            headers: {
                authorization: `Bearer ${token}`
            }
        });
        return graphQLClient;
    } catch (error) {
        console.log(error);
        return error;
    }
}


export function getGraphQLClientWithApiKey(apiKeyName: string) {
    try {
        let token: string;
        if (apiKeyName === "DUTCHIE_PLUS_API_TOKEN_1") {
            token = process.env.DUTCHIE_PLUS_API_TOKEN_1;
        } else if (apiKeyName === "DUTCHIE_PLUS_API_TOKEN_2") {
            token = process.env.DUTCHIE_PLUS_API_TOKEN_2;
        }
        const endpoint = process.env.DUTCHIE_PLUS_API_URL;
        const graphQLClient = new GraphQLClient(endpoint, {
            headers: {
                authorization: `Bearer ${token}`
            }
        });
        return graphQLClient;
    } catch (error) {
        console.log(error);
        return error;
    }
}