import { Module } from "@nestjs/common";
import { TypeOrmModule } from "@nestjs/typeorm";
import { JwtModule } from "@nestjs/jwt";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { UsersRepository } from "src/modules/users/user.repository";
import { FileUploadsService } from "src/modules/file-uploads/file-uploads.service";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { AboutUsPageCmsRepository } from "./about-us-page-cms.repository";
import { AboutUsPageCmsController } from "./about-us-page-cms.controller";
import { AboutUsPageCmsService } from "./about-us-page-cms.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([AboutUsPageCmsRepository])
    ],
    controllers: [AboutUsPageCmsController],
    providers: [AboutUsPageCmsService, JwtHelper, FileUploadsService, DoSpacesService, DoSpacesServicerovider]
})
export class AboutUsPageCmsModule {
}