import { Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards } from "@nestjs/common";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";
import { Constants } from "src/utils/constants";
import { ApplyCareerModalCmsService } from "./apply-career-modal-cms.service";
import { UpdateApplyCareerModalCmsDto } from "./dto/update-apply-career-modal-cms.dto";

@Controller({ path: "apply-career-modal-cms", version: Constants.API_VERSION_1 })

export class ApplyCareerModalCmsController {
    constructor(private readonly service: ApplyCareerModalCmsService) {
    }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
        @Body() dto: UpdateApplyCareerModalCmsDto
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
