import { EntityRepository, Repository } from "typeorm";
import { UpdateApplyCareerModalCmsDto } from "./dto/update-apply-career-modal-cms.dto";
import { ApplyCareerModalCmsEntity } from "./entities/apply-career-modal-cms.entity";

@EntityRepository(ApplyCareerModalCmsEntity)
export class ApplyCareerModalCmsRepository extends Repository<ApplyCareerModalCmsEntity> {

    async createEntity(dto: UpdateApplyCareerModalCmsDto): Promise<ApplyCareerModalCmsEntity | Error> {
        try {
            const entity = this.create({
                heading: dto.heading,
                title: dto.title,
                subTitle: dto.subTitle,
                buttonText: dto.buttonText
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateApplyCareerModalCmsDto, id: string): Promise<ApplyCareerModalCmsEntity | Error> {
        try {
            await this.update(id, {
                heading: dto.heading,
                title: dto.title,
                subTitle: dto.subTitle,
                buttonText: dto.buttonText
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<ApplyCareerModalCmsEntity[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}