import { Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards } from "@nestjs/common";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";
import { Constants } from "src/utils/constants";
import { HomePageCmsService } from "./home-page-cms.service";
import { UpsertHomePageCmsDto } from "./dto/upsert-home-page-cms.dto";

@Controller({ path: "home-page-cms", version: Constants.API_VERSION_1 })

export class HomePageCmsController {
    constructor(private readonly service: HomePageCmsService) {
    }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
        @Body() dto: UpsertHomePageCmsDto
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
