import { EntityRepository, Repository } from "typeorm";
import { UpdateAboutUsPageComponentUiDto } from "./dto/update-about-us-page-component-ui.dto";
import { AboutUsPageComponentUiEntity } from "./entities/about-us-page-component-ui.entity";

@EntityRepository(AboutUsPageComponentUiEntity)
export class AboutUsPageComponentUiRepository extends Repository<AboutUsPageComponentUiEntity> {

    async createEntity(dto: UpdateAboutUsPageComponentUiDto): Promise<AboutUsPageComponentUiEntity | Error> {
        try {
            const entity = this.create({
                backgroundColor: dto.backgroundColor,
                pageTitleFontColor: dto.pageTitleFontColor,
                sectionOneTitleFontColor: dto.sectionOneTitleFontColor,
                sectionTwoTitleFontColor: dto.sectionTwoTitleFontColor,
                locationSectionTitleFontColor: dto.locationSectionTitleFontColor,
                dispoDifferenceSectionTitleFontColor: dto.dispoDifferenceSectionTitleFontColor
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateAboutUsPageComponentUiDto, id: string): Promise<AboutUsPageComponentUiEntity | Error> {
        try {
            await this.update(id, {
                backgroundColor: dto.backgroundColor,
                pageTitleFontColor: dto.pageTitleFontColor,
                sectionOneTitleFontColor: dto.sectionOneTitleFontColor,
                sectionTwoTitleFontColor: dto.sectionTwoTitleFontColor,
                locationSectionTitleFontColor: dto.locationSectionTitleFontColor,
                dispoDifferenceSectionTitleFontColor: dto.dispoDifferenceSectionTitleFontColor
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<AboutUsPageComponentUiEntity[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}