import { EntityRepository, Repository } from "typeorm";
import { CommonComponentUi } from "./entities/common-component-ui.entity";
import { UpdateCommonComponentUiDto } from "./dto/update-common-component-ui.dto";

@EntityRepository(CommonComponentUi)
export class CommonComponentUiRepository extends Repository<CommonComponentUi> {

    async createEntity(dto: UpdateCommonComponentUiDto): Promise<CommonComponentUi | Error> {
        try {
            const entity = this.create({
                brandSectionTitleFontColor: dto.brandSectionTitleFontColor,
                categorySectionTitleFontColor: dto.categorySectionTitleFontColor,
                flowerSectionTitleFontColor: dto.flowerSectionTitleFontColor
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateCommonComponentUiDto, id: string): Promise<CommonComponentUi | Error> {
        try {
            await this.update(id, {
                brandSectionTitleFontColor: dto.brandSectionTitleFontColor,
                categorySectionTitleFontColor: dto.categorySectionTitleFontColor,
                flowerSectionTitleFontColor: dto.flowerSectionTitleFontColor
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<CommonComponentUi[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}