import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { TypeOrmModule } from "@nestjs/typeorm";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { UsersRepository } from "src/modules/users/user.repository";
import { DoSpacesServicerovider } from "../../../SpacesModule/SpacesService";
import { DoSpacesService } from "../../../SpacesModule/SpacesService/doSpacesService";
import { OrderServiceController } from "./order-service.controller";
import { OrderServiceRepository } from "./order-service.repository";
import { OrderServiceService } from "./order-service.service";
import { RetailerServiceRepository } from "../retailer-service/retailer-service.repository";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([OrderServiceRepository, RetailerServiceRepository])
    ],
    controllers: [OrderServiceController],
    providers: [OrderServiceService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class OrderServiceModule {
}
