import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { TypeOrmModule } from "@nestjs/typeorm";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { UsersRepository } from "src/modules/users/user.repository";
import { DoSpacesServicerovider } from "../SpacesModule/SpacesService";
import { DoSpacesService } from "../SpacesModule/SpacesService/doSpacesService";
import { ReeferFriendController } from "./reefer-friend.controller";
import { ReeferFriendRepository } from "./reefer-friend.repository";
import { ReeferFriendService } from "./reefer-friend.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([ReeferFriendRepository])
    ],
    controllers: [ReeferFriendController],
    providers: [ReeferFriendService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class ReeferFriendModule {
}
